%define svn .svn540

Summary:	IPSec VPN client compatible with Cisco equipment
Name:		vpnc
Version:	0.5.3
Release:	5%{?svn}%{?dist}
License:	GPL
Group:		Applications/Internet
URL:		http://www.unix-ag.uni-kl.de/~massar/vpnc/
# SVN http://svn.unix-ag.uni-kl.de/vpnc/trunk
Epoch:		2

Source:		%{name}-%{version}%{?svn}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%{?el4:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?el5:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?el6:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?fc14:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?fc15:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?fc16:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?fc17:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?fc18:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?fc19:BuildRequires: libgcrypt-devel, gnutls-devel}
%{?fc20:BuildRequires: libgcrypt-devel, gnutls-devel}

%if 0%{?fedora} >= 17
BuildRequires:  perl-autodie
%endif

BuildRequires:	pkgconfig
Requires:	kernel >= 2.4

%description
A VPN client compatible with Cisco's EasyVPN equipment.

Supports IPSec (ESP) with Mode Configuration and Xauth.  Supports only
shared-secret IPSec authentication, 3DES, MD5, and IP tunneling.

%prep
%setup -q -n %{name}-%{version}%{?svn}

%{__cat} <<EOF >vpnc.conf
### This is the gateway configuration
#IPSec gateway my.vpn.gateway
#IPSec ID my.ipsec.id
#IPSec secret mysecret

### Put your username here
#Xauth username
EOF

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 vpnc %{buildroot}%{_sbindir}/vpnc
%{__install} -Dp -m0755 vpnc-disconnect %{buildroot}%{_sbindir}/vpnc-disconnect
%{__install} -Dp -m0755 pcf2vpnc %{buildroot}%{_sbindir}/pcf2vpnc
%{__install} -Dp -m0600 vpnc.conf %{buildroot}%{_sysconfdir}/vpnc/vpnc.conf
%{__install} -Dp -m0755 vpnc-script %{buildroot}%{_sysconfdir}/vpnc/vpnc-script
%{__install} -Dp -m0644 vpnc.8 %{buildroot}%{_mandir}/man8/vpnc.8
%{__install} -Dp -m0755 cisco-decrypt %{buildroot}%{_sbindir}/cisco-decrypt
%{__install} -Dp -m0644 cisco-decrypt.1 %{buildroot}%{_mandir}/man1/cisco-decrypt.1


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING README TODO
%{_mandir}/man8/vpnc.8*
%{_mandir}/man1/cisco-decrypt.1*
%dir %{_sysconfdir}/vpnc
%config(noreplace) %{_sysconfdir}/vpnc/vpnc.conf
%config(noreplace) %{_sysconfdir}/vpnc/vpnc-script
%{_sbindir}/vpnc
%{_sbindir}/vpnc-disconnect
%{_sbindir}/pcf2vpnc
%{_sbindir}/cisco-decrypt
%dev(c, 10, 200) /dev/tun

%changelog
* Thu Jan 30 2014 momo-i <webmaster@momo-i.org> - 0.5.3-5
- Update to svn 540

* Wed Dec  4 2013 momo-i <webmaster@momo-i.org> - 0.5.3-4
- update to svn 536

* Wed Dec  4 2013 momo-i <webmaster@momo-i.org> - 0.5.3-3
- Add cisco-decrypt

* Wed Oct 05 2011 momo-i <webmaster@momo-i.org> - 0.5.3-2
- Add Epoch.

* Tue Jan 06 2009 Kenneth Porter <shiva+vpncrpm@sewingwitch.com> - 0.5.3-1 - 6645/cmr
- Update to 0.5.3.
- Include helper scripts.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.3.3-1.2
- Rebuild for Fedora Core 5.

* Fri Jun 24 2005 Dries Verachtert <dries@ulyssis.org> - 0.3.3-1
- Update to release 0.3.3.

* Mon Mar 07 2005 Dag Wieers <dag@wieers.com> - 0.3.2-2
- Added x86_64 fixes.

* Tue Dec 21 2004 Dag Wieers <dag@wieers.com> - 0.3.2-1
- Updated to release 0.3.2.

* Sun Oct 10 2004 Dag Wieers <dag@wieers.com> - 0.2-1
- Initial package. (using DAR)
